Name: seiros-install2
Summary: Seiros installer
Version: 0.5
Release: alt1
License: GPL
Group: System/Servers
#BuildArch: i586

Source: %name.tar

Requires(pre): seiros-installer-busybox
Requires(pre): cpio-static
Requires: dialog
Requires: libhw-tools
Requires: zlib

# Disk partitioning
Requires: sfdisk

%define dstdir tmp/%_datadir/install/

%description
%summary

%prep
%setup -c

%build
%make_build
%install
mkdir -p tmp/sbin tmp/bin %dstdir

install scripts/*			%dstdir/
install chroot/*			%dstdir/
install install_status		tmp/sbin/install_status
install mk_devices			tmp//sbin/mk_devices
install install.sh			tmp/sbin/install.sh
install iso_mount			tmp/sbin/iso_mount

# Config files
install data/sfdisk	 		%dstdir/sfdisk
install data/fstab	 		%dstdir/fstab
install data/lilo.conf 		%dstdir/lilo.conf
install -m644 data/config			%dstdir/config

cat modules | grep '^[^#]' > %dstdir/modules
install install				tmp/init

cd tmp/
mkdir -p %buildroot/usr/share/seiros-install2/
find | cpio -o -c > %buildroot/usr/share/seiros-install2/install.cpio

%post
cd /
rm -rf /usr/share/locale /usr/share/doc /usr/share/man /usr/share/info
rm -rf /etc/X11 /usr/local /etc/buildreqs
rm -f /boot/*
mkdir -p /tmp/busybox
cd /tmp/busybox
/.host/cpio -iu --no-absolute-filenames < /usr/share/seiros-installer-busybox/busybox.cpio ||:
/.host/cpio -iu --no-absolute-filenames < /usr/share/seiros-install2/install.cpio 
for d in bin sbin usr/bin usr/sbin; do
	for s in $d/*; do
		cp -Pf $s /$d/
		mv -f $s /$d/
	done
done
cp -a * /
mv init /
rm -f /usr/share/seiros-installer-busybox/busybox.cpio
rm -f /usr/share/seiros-install2/install.cpio 

%files
%_datadir/%name/install.cpio

%changelog
* Sat Mar 17 2007 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt1
- disable frame buffer in lilo.conf by default
- try to wait for CD if can't mount

* Fri Mar 02 2007 Denis Smirnov <mithraen@altlinux.ru> 0.4-alt1
- First public release in Sisyphus

* Tue Feb 20 2007 Denis Smirnov <mithraen@altlinux.ru> 0.3-alt1
- use modprobe from busybox

* Thu Feb 15 2007 Denis Smirnov <mithraen@altlinux.ru> 0.2-alt1
- multiple cleanups

* Thu Dec 07 2006 Denis Smirnov <mithraen@altlinux.ru> 0.1-alt7
- reboot when kernel panic

* Sun Nov 26 2006 Denis Smirnov <mithraen@altlinux.ru> 0.1-alt6
- cleanups and bugfixes

* Thu Nov 23 2006 Denis Smirnov <mithraen@altlinux.ru> 0.1-alt5
- third try to add SATA CD/DVD support

* Thu Nov 23 2006 Denis Smirnov <mithraen@altlinux.ru> 0.1-alt4
- second try to add SATA CD/DVD support

* Thu Nov 23 2006 Denis Smirnov <mithraen@altlinux.ru> 0.1-alt3
- try to add SATA CD/DVD support

* Fri Sep 01 2006 Denis Smirnov <mithraen@altlinux.ru> 0.1-alt2
- multiple fixes

* Wed Jun 07 2006 Denis Smirnov <mithraen@altlinux.ru> 0.1-alt1
- first build
